import React from "react";
import { Typography } from "antd";
import useRoute from "@/routes/hooks/useRoute";
import LeftIcon from "./LeftIcon";

const pageStyle = {
  // margin: "0 24px 24px 24px",
  margin: "24px",
  minHeight: "calc(100% - 24px)",
};

export default (props) => {
  const { back = false, navigatenum = -1 } = props;
  const { meta = {} } = useRoute() || {};
  const style = meta.noLayout ? { height: "100%" } : pageStyle;

  const title = props.title || meta.title;

  return (
    <div style={style}>
      {title && !meta.noLayout && (
        <LeftIcon back={back} navigatenum={navigatenum}>
          {title}
        </LeftIcon>
      )}
      {props.children}
    </div>
  );
};
