import React, { useEffect } from "react";
import md5 from "md5";
import { Button, Form, Input, Radio } from "antd";
import { useNavigate, useSearchParams } from "react-router-dom";
import { login } from "@/services/login";
import { useModel } from "@/store";

export default (props) => {
  const { onSuccess, mode, appid } = props;
  const [form] = Form.useForm();
  const [loading, setLoading] = React.useState(false);
  const { user, getCurrentUser } = useModel("user");

  // var path = window.location.pathname;
  // var tenantIds = path.split("/")[1];

  useEffect(() => {
    pathTenantId();
  }, [pathTenantId()]);
  
  const onFinish = (values) => {
    const tenantId = localStorage.getItem("tenantId");
    const data = {
      loginType: "admin.pc",
      loginName: values.loginName,
      password: md5(values.password),
      tenantId: tenantId,
    };
    setLoading(true);
    login(data)
      .then((res) => {
        setLoading(true);
        onSuccess(res.user);
        setLoading(false);
      })
      .catch((err) => {
        // console.log('----err--', err);
        setLoading(false);
      });

    setLoading(false);
  };
  return (
    <Form
      form={form}
      layout="vertical"
      onFinish={onFinish}
      // style={{ width: "260px", marginTop: "24px", paddingBottom: "24px" }}
    >
      <Form.Item
        label="用户名"
        name="loginName"
        rules={[{ required: true, message: "请输入用户名" }]}
      >
        <Input placeholder="请输入用户名" style={{ borderRadius: "4px" }} />
      </Form.Item>
      <Form.Item
        label="密 码"
        name="password"
        rules={[{ required: true, message: "请输入密码" }]}
      >
        <Input.Password
          placeholder="请输入密码"
          style={{ borderRadius: "4px" }}
        />
      </Form.Item>
      <Form.Item>
        <Button
          type="primary"
          size="large"
          style={{ width: "100%", marginTop: "24px", borderRadius: "4px" }}
          loading={loading}
          htmlType="submit"
        >
          登录
        </Button>
      </Form.Item>
    </Form>
  );
};
