import axios from "axios";
import { getPolicy as getOssPolicy } from "@/services/ossPolicy";

let oss;
let expire = 0;

const resetPolicy = () => {
  return getOssPolicy().then((res) => {
    oss = res;
    expire = res.expire;

    return oss;
  });
}

const getOssAsync = () => {
  const current = (new Date()).getTime() / 1000;
  // 3s 缓冲
  if (expire <= current + 3) {
    // 说明快到期了
    return resetPolicy();
  } else {
    return Promise.resolve(oss);
  }
}

const request = axios.create();
const uploadFile = file => {
  return getOssAsync().then(oss => {
    const formData = new FormData();
    const fileName= (new Date).getTime() + '_' + file.name;

    formData.append("OSSAccessKeyId", oss.accessId);
    formData.append("signature", oss.signature);
    formData.append("policy", oss.policy);
    formData.append("key", oss.dir + fileName);
    formData.append("success_action_status", 200);
    formData.append("file", file);
  
    return request(oss.host, {
      method: "post",
      data: formData,
      headers: {
        "Content-Type": "multipart/form-data",
      },
    }).then(res => {
      console.log(res);

      if (res.status == 200) {
        return `${oss.customDomain}/${oss.dir}${fileName}`;
      }
    });
  });
}

export {
  uploadFile,
}
